WPSTabStop Struct Reference

`#include <WPSParagraph.h>`

## Public Types
enum | Alignment { LEFT , RIGHT , CENTER , DECIMAL , BAR }

## Public Member Functions
| WPSTabStop (double position=0.0, Alignment alignment=LEFT, uint16_t leaderCharacter='\0', uint8_t leaderNumSpaces=0)
void | addTo (librevenge::RVNGPropertyListVector &propList, double decalX=0.0) const

## Public Attributes
double | m_position
Alignment | m_alignment
uint16_t | m_leaderCharacter
uint8_t | m_leaderNumSpaces

## Friends
std::ostream & | operator<< (std::ostream &o, WPSTabStop const &ft)
| operator <<

## Member Enumeration Documentation

## ◆ Alignment

enum WPSTabStop::Alignment

Enumerator
LEFT |
RIGHT |
CENTER |
DECIMAL |
BAR |

## Constructor & Destructor Documentation

## ◆ WPSTabStop()

WPSTabStop::WPSTabStop | ( | double | position = 0.0,
|  | Alignment | alignment = LEFT,
|  | uint16_t | leaderCharacter = '\0',
|  | uint8_t | leaderNumSpaces = 0 )
| inline explicit

Referenced by operator<<.

## Member Function Documentation

## ◆ addTo()

void WPSTabStop::addTo | ( | librevenge::RVNGPropertyListVector & | propList,
|  | double | decalX = 0.0 ) const

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSTabStop const & | ft )
| friend

operator <<

## Member Data Documentation

## ◆ m_alignment

Alignment WPSTabStop::m_alignment

Referenced by addTo(), operator<<, XYWriteParserInternal::Format::updateParagraph(), and WPSTabStop().

## ◆ m_leaderCharacter

uint16_t WPSTabStop::m_leaderCharacter

Referenced by addTo(), operator<<, and WPSTabStop().

## ◆ m_leaderNumSpaces

uint8_t WPSTabStop::m_leaderNumSpaces

Referenced by WPSTabStop().

## ◆ m_position

double WPSTabStop::m_position

Referenced by addTo(), operator<<, XYWriteParserInternal::Format::updateParagraph(), and WPSTabStop().

The documentation for this struct was generated from the following files:

- WPSParagraph.h
- WPSParagraph.cpp